Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.measures
Class Measures

    java.lang.Object
      mro.util.measures.Measure
          mro.util.measures.MeasureGroup
              mro.util.measures.Measures

    public class Measures

extends MeasureGroup

See Also:
  `Measure`, `MeasureGroup`

Field Summary

Fields inherited from class mro.util.measures.Measure
`description, iogrelative, name, roundFloatToNumOfDecimals, roundValue, stamp, value`

Constructor Summary
`Measures(MeasureGroup mg)` Shallow copy constructor.
`Measures(java.lang.String name)` A constructor.

Method Summary
`static Measures` | `load(java.io.File file)` Loads a measures-object from the specified file.
`static Measures` | `load(java.lang.String fileName)` Loads a measures-object from a file with the specified file name.
`static Measures` | `loadXML(org.xml.sax.InputSource source)` Loads a measures-object from an `java.io.InputSource`.
`static void` | `printDTD(java.io.PrintWriter pw)` Prints the complete DTD of a measures-XML-file to a `PrintWriter`.
`static void` | `printmeasuresXSLReference(java.io.PrintWriter pw)` Prints a reference to the measures-XSL-file to a `PrintWriter`.
`void` | `printOut()`
`static void` | `printPartDTD(java.io.PrintWriter pw)` Prints the DTD of a measures-XML-file to a `PrintWriter`.
`void` | `printPartXML(java.io.PrintWriter pw)`
`void` | `printXML(java.io.PrintWriter pw)` Prints the measures to a `PrintWriter`.
`void` | `printXSL(java.io.PrintWriter pw)` Prints a basic XSL-file for measures XML-files to a `PrintWriter`.
`void` | `save(java.io.File f)`
`void` | `save(java.lang.String fileName)` Saves a measures-object to a file with the specified file name.

Methods inherited from class mro.util.measures.MeasureGroup
`addMeasure, addMeasureVector, constructAverageMeasures, copy, divide, getMeasure, getMeasureGroup, getMeasureVector, getName, relative, setAllMeasuresStampsRecursively, setName, size, subtract, toString`

Methods inherited from class mro.util.measures.Measure
`difference, divide, getDescription, getRelativeIObjectGroup, getStamp, getValue, normDifference, setDescription, setStamp, setValue, subtract`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Measures

    public Measures(java.lang.String name)

  A constructor.

### Measures

    public Measures(MeasureGroup mg)
             throws MeasureNameConflictException

  Shallow copy constructor.

  Throws:
    `MeasureNameConflictException`

Method Detail

### save

    public void save(java.lang.String fileName)

  Saves a measures-object to a file with the specified file name.

### save

    public void save(java.io.File f)

### printDTD

    public static void printDTD(java.io.PrintWriter pw)
                         throws java.io.IOException

  Prints the complete DTD of a measures-XML-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printPartDTD

    public static void printPartDTD(java.io.PrintWriter pw)
                             throws java.io.IOException

  Prints the DTD of a measures-XML-file to a `PrintWriter`. Only the elements. This method may be used when the measures-XML should be part of a larger XML.

  Throws:
    `java.io.IOException`

### printmeasuresXSLReference

    public static void printmeasuresXSLReference(java.io.PrintWriter pw)
                                          throws java.io.IOException

  Prints a reference to the measures-XSL-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints the measures to a `PrintWriter`.

  Overrides:
    `printXML` in class `MeasureGroup`
  Throws:
    `java.io.IOException`

### printOut

    public void printOut()

### printPartXML

    public void printPartXML(java.io.PrintWriter pw)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### printXSL

    public void printXSL(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints a basic XSL-file for measures XML-files to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### load

    public static Measures load(java.lang.String fileName)

  Loads a measures-object from a file with the specified file name.

### load

    public static Measures load(java.io.File file)

  Loads a measures-object from the specified file.

### loadXML

    public static Measures loadXML(org.xml.sax.InputSource source)

  Loads a measures-object from an `java.io.InputSource`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD